Package io.strimzi

## Class StrimziKafkaContainer

- java.lang.Object
- - org.testcontainers.containers.FailureDetectingExternalResource
  - - org.testcontainers.containers.GenericContainer<StrimziKafkaContainer>
    - - io.strimzi.StrimziKafkaContainer

- All Implemented Interfaces:
    `AutoCloseable`, `org.junit.rules.TestRule`, `org.testcontainers.containers.Container<StrimziKafkaContainer>`, `org.testcontainers.containers.ContainerState`, `org.testcontainers.containers.traits.LinkableContainer`, `org.testcontainers.containers.wait.strategy.WaitStrategyTarget`, `org.testcontainers.lifecycle.Startable`

      public class StrimziKafkaContainer
      extends org.testcontainers.containers.GenericContainer<StrimziKafkaContainer>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.testcontainers.containers.GenericContainer

      `org.testcontainers.containers.GenericContainer.AbstractWaitStrategy`

    - ### Nested classes/interfaces inherited from interface org.testcontainers.containers.Container

      `org.testcontainers.containers.Container.ExecResult`

  - ### Field Summary

    - ### Fields inherited from class org.testcontainers.containers.GenericContainer

      `CONTAINER_RUNNING_TIMEOUT_SEC, INTERNAL_HOST_HOSTNAME`

    - ### Fields inherited from interface org.testcontainers.containers.ContainerState

      `STATE_HEALTHY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StrimziKafkaContainer()` |
    `StrimziKafkaContainer​(String version)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getBootstrapServers()` |
    `static String` | `getLatestKafkaVersion()` |
    `static List<String>` | `getSupportedKafkaVersions()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class org.testcontainers.containers.GenericContainer

      `addEnv, addExposedPort, addExposedPorts, addFileSystemBind, addLink, apply, copyFileFromContainer, dependsOn, dependsOn, dependsOn, fetchDockerDaemonInfo, getBinds, getCommandParts, getContainerId, getContainerInfo, getContainerName, getCopyToFileContainerPathMap, getCreateContainerCmdModifiers, getDependencies, getDockerClient, getDockerDaemonInfo, getDockerImageName, getEnv, getEnvMap, getExposedPorts, getExtraHosts, getImage, getIpAddress, getLabels, getLinkedContainers, getLivenessCheckPortNumbers, getLogConsumers, getNetwork, getNetworkAliases, getNetworkMode, getPortBindings, getShmSize, getStartupAttempts, getStartupCheckStrategy, getTestHostIpAddress, getTmpFsMapping, getVolumesFroms, getWorkingDirectory, isPrivilegedMode, isShouldBeReused, setBinds, setCommand, setCommand, setCommandParts, setCopyToFileContainerPathMap, setDockerImageName, setEnv, setExposedPorts, setExtraHosts, setImage, setLabels, setLinkedContainers, setLogConsumers, setNetwork, setNetworkAliases, setNetworkMode, setPortBindings, setPrivilegedMode, setShmSize, setStartupAttempts, setStartupCheckStrategy, setTmpFsMapping, setVolumesFroms, setWaitStrategy, setWorkingDirectory, start, stop, toString, waitingFor, withClasspathResourceMapping, withClasspathResourceMapping, withCommand, withCommand, withCopyFileToContainer, withCreateContainerCmdModifier, withEnv, withEnv, withExposedPorts, withExtraHost, withFileSystemBind, withImagePullPolicy, withLabel, withLabels, withLogConsumer, withMinimumRunningDuration, withNetwork, withNetworkAliases, withNetworkMode, withPrivilegedMode, withReuse, withSharedMemorySize, withStartupAttempts, withStartupCheckStrategy, withStartupTimeout, withTmpFs, withVolumesFrom, withWorkingDirectory`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.testcontainers.containers.Container

      `addFileSystemBind, followOutput, followOutput, self, withEnv, withFileSystemBind`

    - ### Methods inherited from interface org.testcontainers.containers.ContainerState

      `copyFileFromContainer, copyFileToContainer, copyFileToContainer, execInContainer, execInContainer, getBoundPortNumbers, getContainerIpAddress, getCurrentContainerInfo, getFirstMappedPort, getLogs, getLogs, getMappedPort, isCreated, isHealthy, isRunning`

    - ### Methods inherited from interface org.testcontainers.lifecycle.Startable

      `close`

- - ### Constructor Detail

    - #### StrimziKafkaContainer

          public StrimziKafkaContainer​(String version)

    - #### StrimziKafkaContainer

          public StrimziKafkaContainer()

  - ### Method Detail

    - #### getBootstrapServers

          public String getBootstrapServers()

    - #### getSupportedKafkaVersions

          public static List<String> getSupportedKafkaVersions()

    - #### getLatestKafkaVersion

          public static String getLatestKafkaVersion()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `org.testcontainers.containers.GenericContainer<StrimziKafkaContainer>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.testcontainers.containers.GenericContainer<StrimziKafkaContainer>`